name: flaresolverr
services:
  flaresolverr:
    environment:
      PGID: $PGID
      PUID: $PUID
      TZ: $TZ
      UMASK: "002"
      LOG_LEVEL: "info"
      LOG_HTML: "false"
      CAPTCHA_SOLVER: "none"
    cpu_shares: 50
    command: []
    container_name: flaresolverr
    deploy:
      resources:
        reservations:
          memory: 64M
    image: ghcr.io/flaresolverr/flaresolverr:v3.4.5
    labels:
      icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FlareSolverr/icon.png
    ports:
      - target: 8191
        published: "8191"
        protocol: tcp
    restart: unless-stopped
    network_mode: bridge
    privileged: false
x-casaos:
  architectures:                  # a list of architectures that the app supports
      - amd64
      - arm
      - arm64
  author: calganaygun
  category: Network
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FlareSolverr/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/FlareSolverr/screenshot-1.png
  index: /
  port_map: "8191"
  scheme: http
  store_app_id: flaresolverr
  title:
    en_us: FlareSolverr
